Package org.eclipse.ui.views

## Interface IStickyViewDescriptor

    public interface IStickyViewDescriptor

Supplemental view interface that describes various sticky characteristics that a view may possess.

This interface is not intended to be implemented by clients.

Since:
  3.1
See Also:
  `IViewRegistry`, `IViewDescriptor`
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getId()` Return the id of the view to be made sticky.
`int` `getLocation()` Return the location of this sticky view.
`boolean` `isCloseable()` Return whether this view should be closeable.
`boolean` `isMoveable()` Return whether this view should be moveable.

### Method Detail

#### getId

    String getId()

Return the id of the view to be made sticky.

Returns:
  the id of the view to be made sticky

#### getLocation

    int getLocation()

Return the location of this sticky view. Must be one of `IPageLayout.LEFT`, `IPageLayout.RIGHT`, `IPageLayout.TOP`, or `IPageLayout.BOTTOM`.

Returns:
  the location constant

#### isCloseable

    boolean isCloseable()

Return whether this view should be closeable.

Returns:
  whether this view should be closeeable

#### isMoveable

    boolean isMoveable()

Return whether this view should be moveable.

Returns:
  whether this view should be moveable